Foreman - Bug #5896

unable to set compute-resource's "Console passwords" option in API
05/23/2014 07:14 AM - Dominic Cleal

Status: Closed
Priority: Normal
Assignee: Joseph Magen
Category: API
Target version: 1.6.1
Difficulty: trivial Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1100344 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/1471
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqgi?id=1100344
Description of problem:
I'm unable to set cumpute-resource's "Console passwords" option via hammer. Maybe it is there somewhere, but | can not find it.

Version-Release number of selected component (if applicable):
Satellite-6.0.3-RHEL-6-20140521.0

How reproducible:
always

Steps to Reproduce:

1. Try to find a way how to uncheck "Console passwords" checkbox bia hammer.
Using webUI that would be:

Infrastructure -> Compute Resources -> <your_compute_resource> [Edit] ->

-> Console passwords

Actual results:
| have not found it.

Expected results:
There should be a way to do so.

Additional info:
1. hammer compute-resource -h

Usage:
hammer compute-resource [OPTIONS] SUBCOMMAND [ARG] ...

Parameters:

SUBCOMMAND subcommand

[ARG] ... subcommand arguments
Subcommands:

create Create a compute resource.
delete Delete a compute resource.
image View and manage compute resource's images
info Show an compute resource.
list List all compute resources.
update Update a compute resource.
Options:

-h, --help print help

1. hammer compute-resource update -h
Usage:
hammer compute-resource update [OPTIONS]

Options:

--description DESCRIPTION

--id ID

--name NAME Name to search by

--new-name NEW_NAME

--password PASSWORD Password for RHEV, EC2, Vmware, Openstack. Secret key for EC2
--provider PROVIDER Providers include Libvirt, Ovirt, EC2, Vmware, Openstack, Rackspace, GCE
--region REGION for EC2 only

--server SERVER for Vmware

--tenant TENANT for Openstack only

--url URL URL for Libvirt, RHEV, and Openstack

--user USER Username for RHEV, EC2, Vmware, Openstack. Access Key for EC2.
--uuid UUID for RHEV, Vmware Datacenter

-h, --help print hel

Related issues:
Blocks Hammer CLI - Bug #5898: unable to set compute-resource's "Console pass... Rejected 05/23/2014

Associated revisions

Revision 553a0beb - 09/22/2014 10:52 PM - Joseph Magen

fixes #5896 - Set Compute Resource's 'Console passwords' option in API

Revision 223¢58f5 - 10/07/2014 08:12 AM - Joseph Magen

fixes #5896 - Set Compute Resource's 'Console passwords' option in API

(cherry picked from commit 553a0bebf0e68fad49fad54ead2f593e1065844a)

History

#1 - 05/23/2014 07:17 AM - Dominic Cleal
- Category set to API
- Assignee deleted (Dominic Cleal)

- Difficulty set to trivial

The 'set_console_password' attribute of the compute resource model is missing from the API docs in
app/controllers/api/*/compute_resources_controller.rb, then this can be added in Hammer.

#2 - 05/23/2014 07:44 AM - Dominic Cleal

- Copied to Bug #5898: unable to set compute-resource's "Console passwords" option via hammer added

#3 - 05/23/2014 07:44 AM - Dominic Cleal

- Copied to deleted (Bug #5898: unable to set compute-resource's "Console passwords" option via hammer)

#4 - 05/23/2014 07:44 AM - Dominic Cleal

- Subject changed from unable to set compute-resource's "Console passwords" option via hammer to unable to set compute-resource’s "Console
passwords" option in API

#5 - 05/23/2014 07:44 AM - Dominic Cleal

- Blocks Bug #5898: unable to set compute-resource's "Console passwords" option via hammer added

#6 - 05/25/2014 07:30 AM - Joseph Magen
- Status changed from New to Assigned
- Assignee set to Joseph Magen

- Target version set to 1.8.2

#7 - 05/25/2014 07:55 AM - Joseph Magen
- Status changed from Assigned to Ready For Testing

documentation update only to tell user how to do it

05/11/2024 2/3




https://github.com/theforeman/foreman/pull/1471/files

#8 - 06/11/2014 02:53 PM - Anonymous

- Target version changed from 1.8.2 to 1.8.1

#9 - 07/07/2014 07:22 AM - Anonymous

- Target version changed from 1.8.1 to 1.8.0

#10 - 07/30/2014 06:49 AM - Anonymous

- Target version changed from 1.8.0 to 1.7.5

#11 - 08/08/2014 12:50 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/1471 added

#12 - 08/20/2014 06:49 AM - Anonymous

- Target version changed from 1.7.5 to 1.7.4

#13 - 09/10/2014 07:20 AM - Anonymous

- Target version changed from 1.7.4 to 1.7.3

#14 - 09/22/2014 11:01 PM - Joseph Magen
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 553a0bebf0e68fad49fad54ead2f593e1065844a.

#15 - 09/22/2014 11:49 PM - Daniel Lobato Garcia

- translation missing: en.field_release set to 22

I've set this to 1.6.1 as this can be considered a bug, setting compute resource passwords is something that we were supposed to have.
